Register a robot
curl --request POST \
--url https://api.example.com/v1/robots/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"robot_type_id": "<string>",
"region": "<string>",
"configuration_digest": "<string>",
"site": "<string>",
"labels": {},
"contract": {}
}
'import requests
url = "https://api.example.com/v1/robots/setup"
payload = {
"name": "<string>",
"robot_type_id": "<string>",
"region": "<string>",
"configuration_digest": "<string>",
"site": "<string>",
"labels": {},
"contract": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
robot_type_id: '<string>',
region: '<string>',
configuration_digest: '<string>',
site: '<string>',
labels: {},
contract: {}
})
};
fetch('https://api.example.com/v1/robots/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"robot": {
"id": "<string>",
"name": "<string>",
"robot_type_id": "<string>",
"region": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"site": "<string>",
"labels": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}robots
Register a robot
POST
/
v1
/
robots
/
setup
Register a robot
Authorizations
Organization API key (sk_servo_...) or authenticated CLI session token.
Body
application/json
One-time or replacement installation request from a robot computer.
Unique stable name for one physical robot.
Required string length:
1 - 64Type ID from the ready robot catalog or a validated custom manifest.
Required string length:
1 - 256AWS region code nearest the physical robot.
Ordered SHA-256 digest of the local robot configuration files.
Pattern:
^sha256:[0-9a-f]{64}$Optional site name used to select fleet members.
Required string length:
1 - 128Optional key-value labels used to select fleet members.
Show child attributes
Show child attributes
Normalized contract from a validated custom robot manifest.
Response
Successful Response
Show child attributes
Show child attributes